summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortim@cane.mysql.fi <>2000-12-22 16:09:10 +0200
committertim@cane.mysql.fi <>2000-12-22 16:09:10 +0200
commit94806e013dfdd1ba68232d5abc790a39ebb87cf2 (patch)
tree5a4fdcdadc68840b8e115b5a652d22d9d2d26905
parent7e3fd8ce798c681cdbe18dcdecb563f63160166c (diff)
downloadmariadb-git-94806e013dfdd1ba68232d5abc790a39ebb87cf2.tar.gz
Fix bug in FINISH.sh that kept CFLAGS from being used.
Allow multiple options to be passed to mysql-test-run.
-rw-r--r--BUILD/FINISH.sh2
-rwxr-xr-xmysql-test/mysql-test-run.sh62
2 files changed, 26 insertions, 38 deletions
diff --git a/BUILD/FINISH.sh b/BUILD/FINISH.sh
index 02deb67bd25..089ff19a7be 100644
--- a/BUILD/FINISH.sh
+++ b/BUILD/FINISH.sh
@@ -6,7 +6,7 @@ for arg in "$@"; do
done
-CFLAGS="$cflags" CXX=gcc CXXFLAGS="$cxxflags" eval "$configure"
+eval "CFLAGS='$cflags' CXX=gcc CXXFLAGS='$cxxflags' $configure"
if [ "x$do_make" = "xno" ] ; then
exit 0
diff --git a/mysql-test/mysql-test-run.sh b/mysql-test/mysql-test-run.sh
index 5fe578b05a6..63ed0f53bcd 100755
--- a/mysql-test/mysql-test-run.sh
+++ b/mysql-test/mysql-test-run.sh
@@ -60,7 +60,7 @@ TIMEFILE="$MYSQL_TEST_DIR/var/tmp/mysqltest-time"
RES_SPACE=" "
MYSQLD_SRC_DIRS="strings mysys include extra regex isam merge myisam \
myisammrg heap sql"
-GCOV_MSG=/tmp/mysqld-gcov.out #gcov output
+GCOV_MSG=/tmp/mysqld-gcov.out
GCOV_ERR=/tmp/mysqld-gcov.err
MASTER_RUNNING=0
@@ -136,41 +136,29 @@ MYSQL_TEST="$MYSQL_TEST --no-defaults --socket=$MASTER_MYSOCK --database=$DB --u
GDB_MASTER_INIT=/tmp/gdbinit.master
GDB_SLAVE_INIT=/tmp/gdbinit.slave
-if [ "$1" = "--force" ] ; then
- FORCE=1
- shift 1
-fi
-
-
-if [ "$1" = "--record" ] ; then
- RECORD=1
- shift 1
-fi
-
-
-if [ "$1" = "--gcov" ];
-then
- if [ x$BINARY_DIST = x1 ] ; then
- echo "Cannot do coverage test without the source - please us source dist"
- exit 1
- fi
- DO_GCOV=1
- shift 1
-fi
-
-if [ "$1" = "--gdb" ];
-then
-# if the user really wanted to run binary dist in a debugger, he can
-# but we should warn him
- if [ x$BINARY_DIST = x1 ] ; then
- echo "Note: you will get more meaningful output on a source distribution \
- compiled with debugging option when running tests with -gdb option"
- fi
- DO_GDB=1
- shift 1
-fi
-
-
+while test $# -gt 0; do
+ case "$1" in
+ --force ) FORCE=1 ;;
+ --record ) RECORD=1 ;;
+ --gcov )
+ if [ x$BINARY_DIST = x1 ] ; then
+ echo "Cannot do coverage test without the source - please use source dist"
+ exit 1
+ fi
+ DO_GCOV=1
+ ;;
+ --gdb )
+ if [ x$BINARY_DIST = x1 ] ; then
+ echo "Note: you will get more meaningful output on a source distribution compiled with debugging option when running tests with -gdb option"
+ fi
+ DO_GDB=1
+ ;;
+ -- ) shift; break ;;
+ --* ) echo "Unrecognized option: $1"; exit 1 ;;
+ * ) break ;;
+ esac
+ shift
+done
#++
# Function Definitions
@@ -289,7 +277,7 @@ start_slave()
{
[ x$SKIP_SLAVE = x1 ] && return
[ x$SLAVE_RUNNING = 1 ] && return
- if [ -z "$SLAVE_MASTER_INFO" ] ; then
+ if [ -z "$SLAVE_MASTER_INF" ] ; then
master_info="--master-user=root \
--master-connect-retry=1 \
--master-host=127.0.0.1 \